### Method

# GIRepository ObjectInfo get_type_name

since: 2.80

#### Declaration

    const char*
    gi_object_info_get_type_name (
      GIObjectInfo* info
    )

#### Description

Obtain the name of the object’s class/type.

Available since: 2.80

#### Return value

Type: `const char*`

Name of the object’s type.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.